---
updatedAt: 2026-05-12T09:57:59.000Z
---

# Archive an asset

This operation allows you to set the status of an asset to 'archive'.

# OpenAPI definition

```json
{
  "components": {
    "responses": {
      "ArchiveAssetResponse": {
        "description": "ArchiveAssetResponse returns status of asset archival along with a message and details if any"
      },
      "BadRequestResponse": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        },
        "description": "BadRequestResponse indicates a request with invalid parameters"
      },
      "ForbiddenResponse": {
        "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized"
      },
      "GenericError": {
        "description": "GenericError generic error"
      },
      "UnauthorizedResponse": {
        "description": "UnauthorizedResponse signals an unauthorized API access"
      }
    },
    "schemas": {
      "ArchiveAssetInput": {
        "description": "ArchiveAssetInput holds the structure of the request body for PATCH manageAsset",
        "properties": {
          "status": {
            "description": "Status is the field to update\nValid values are:\narchive\n\nin: body",
            "type": "string"
          },
          "terminationCase": {
            "type": "string"
          }
        },
        "required": [
          "status"
        ],
        "type": "object"
      },
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2022 WhiteHat Security"
    },
    "title": "Assets API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/assets/{assetSubIDassetType}": {
      "patch": {
        "description": "This operation allows you to set the status of an asset to 'archive'.",
        "operationId": "ArchiveAssetParams",
        "parameters": [
          {
            "description": "assetSubIDassetType is a combination of {assetSubID};assetType={assetType}\ne.g  /api/assets/{assetSubID};assetType={assetType}\nassetType is one of the following: application, site, mobile_application, api_site",
            "in": "path",
            "name": "assetSubIDassetType",
            "required": true,
            "schema": {
              "type": "string"
            },
            "x-go-name": "AssetSubIDassetType"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ArchiveAssetInput"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/ArchiveAssetResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestResponse"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedResponse"
          },
          "403": {
            "$ref": "#/components/responses/ForbiddenResponse"
          },
          "500": {
            "$ref": "#/components/responses/GenericError"
          }
        },
        "summary": "Archive an asset",
        "tags": [
          "Assets API v2.0"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Assets API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```